function FileData_Pairs(x)
{
x.t("session-based","access");
x.t("supports","icmp");
x.t("supports","logging");
x.t("supports","ipv6");
x.t("supports","different");
x.t("supports","stateless");
x.t("supports","call");
x.t("supports","following");
x.t("supports","pinhole");
x.t("passed","knowing");
x.t("active","session");
x.t("active","connections");
x.t("active","charging");
x.t("staros","chassis");
x.t("attack","detected");
x.t("attack","check");
x.t("mime","flood");
x.t("states","tcp/udp");
x.t("states","state");
x.t("states","tcp");
x.t("states","personal");
x.t("states","control");
x.t("states","transport");
x.t("states","defend");
x.t("confirming","packet");
x.t("hits","rule");
x.t("equal","twice");
x.t("modes","file");
x.t("netascii","ascii");
x.t("pdsn","p-gw");
x.t("internet","today");
x.t("internet","association");
x.t("internet","sends");
x.t("internet","internal");
x.t("udp-based","attacks");
x.t("icmp","protocols");
x.t("icmp","fsm");
x.t("icmp","connection-less");
x.t("icmp","reply");
x.t("icmp","flood");
x.t("icmp","type");
x.t("icmp","response");
x.t("icmp","packets");
x.t("icmp","connection");
x.t("icmp","response-type");
x.t("icmp","echo");
x.t("icmp","checksum");
x.t("icmp","error");
x.t("icmp","traceroute");
x.t("icmp","requests");
x.t("icmp","important");
x.t("icmp","header");
x.t("icmp","protocol");
x.t("icmp","packet");
x.t("protocols","states");
x.t("protocols","source");
x.t("protocols","nature");
x.t("protocols","file");
x.t("protocols","tcp");
x.t("protocols","widely");
x.t("protocols","packet");
x.t("protocols","used");
x.t("protocols","connection\u2019s");
x.t("possible","allow/deny");
x.t("possible","information");
x.t("provide","detailed");
x.t("provide","good");
x.t("disallowing","incoming");
x.t("parameter","configurable");
x.t("else","basic");
x.t("else","dropped");
x.t("below","specified");
x.t("below","value");
x.t("latest","either");
x.t("sn-firewall-policy","avp");
x.t("illustrate","packet");
x.t("continued","stateful");
x.t("combined","maximum");
x.t("(msl)","defined");
x.t("manner","tcp");
x.t("method","connection");
x.t("method","due");
x.t("method","makes");
x.t("available","firewall");
x.t("rogue","packet");
x.t("connection's","state");
x.t("dos","ddos");
x.t("dos","attacks");
x.t("managing","license");
x.t("detected","downlink");
x.t("exchanges","port");
x.t("exchanges","call");
x.t("fsm","checks");
x.t("fsm","disabled");
x.t("fsm","flows");
x.t("version","ipv4");
x.t("version","icmpv6");
x.t("priorities","defined");
x.t("syn-rcvd","state");
x.t("receives","initial");
x.t("just","sent");
x.t("(dpi)","functionality");
x.t("meet","specific");
x.t("intended","destination");
x.t("intended","users");
x.t("resides","behind");
x.t("nat/pat","ip/port");
x.t("clear","value");
x.t("clear","alarm");
x.t("applied","sn-firewall-policy");
x.t("applied","subscriber");
x.t("applied","continue");
x.t("applied","firewall-and-nat");
x.t("within","referenced");
x.t("every","entry");
x.t("inbound","state");
x.t("files","systems");
x.t("static","information");
x.t("static","packet");
x.t("table","describes");
x.t("table","state");
x.t("table","udp");
x.t("table","entry");
x.t("table","tcp");
x.t("table","filtering");
x.t("table","personal");
x.t("table","discarded");
x.t("table","different");
x.t("table","holds");
x.t("table","entries");
x.t("table","contains");
x.t("violations","once");
x.t("refer","managing");
x.t("refer","installation");
x.t("contact","cisco");
x.t("contact","local");
x.t("sending","crafted");
x.t("sending","file");
x.t("sending","message");
x.t("(uplink)","source");
x.t("dummy","equivalent");
x.t("describes","state");
x.t("describes","personal");
x.t("describes","different");
x.t("describes","host");
x.t("describes","terms");
x.t("failover","flows");
x.t("okay","association");
x.t("currently","applied");
x.t("currently","table");
x.t("initiating","outgoing");
x.t("initiating","host");
x.t("auxiliary","ports");
x.t("description","tcp");
x.t("close-wait","state");
x.t("connection-less","nature");
x.t("connection-less","network");
x.t("connection-less","transport");
x.t("connection-less","one-way");
x.t("teardown","announces");
x.t("replies","client");
x.t("source","destination");
x.t("source","address");
x.t("source","port");
x.t("source","router");
x.t("layer","layer");
x.t("layer","determining");
x.t("layer","protocol");
x.t("layer","work");
x.t("once","connection");
x.t("once","manager");
x.t("required","contact");
x.t("required","protocol");
x.t("denial-of-service","(dos)");
x.t("denial-of-service","(ddos)");
x.t("denial-of-service","attacks");
x.t("crafted","malformed");
x.t("coming","external");
x.t("coming","recovery-timeout");
x.t("seq","number");
x.t("various","events");
x.t("various","messages");
x.t("various","ways");
x.t("various","header");
x.t("various","levels");
x.t("ensures","nat/pat");
x.t("mechanism","transport");
x.t("ongoing","traffic");
x.t("events","happening");
x.t("events","supported");
x.t("deny-rule","number");
x.t("disabling","firewall");
x.t("12.0","firewall");
x.t("having","identifier");
x.t("(vpn)","pptp");
x.t("carry","ppp");
x.t("binary","tftp");
x.t("covers","following");
x.t("performs","session-based");
x.t("performs","packet");
x.t("performs","following");
x.t("components","meet");
x.t("unreachable","message");
x.t("disadvantages","static");
x.t("flag","description");
x.t("flag","field");
x.t("flag","means");
x.t("cross","given");
x.t("action","(enable/disable)");
x.t("action","taken");
x.t("allow/deny","icmp");
x.t("responsible","performing");
x.t("(udp)","server");
x.t("ggsn","ipsg");
x.t("unaware","packets");
x.t("enabled","basic");
x.t("enabled","firewall");
x.t("enabled","calls");
x.t("enabled","during");
x.t("enabled","rule");
x.t("enabled","invalid");
x.t("enabled","users");
x.t("enabled","chassis");
x.t("enabled","dropped");
x.t("handshake","arrives");
x.t("handshake","comes");
x.t("handshake","flows");
x.t("tcp/udp","ports");
x.t("nature","udp");
x.t("nature","tracking");
x.t("(enable/disable)","version");
x.t("4096","rules");
x.t("referenced","context");
x.t("ingress","point");
x.t("user","datagram");
x.t("leading","system");
x.t("flood","attack");
x.t("flood","attacks");
x.t("reply","syn-rcvd");
x.t("reply","mechanism");
x.t("reply","error");
x.t("reply","established");
x.t("reply","without");
x.t("reply","sent");
x.t("uses","single");
x.t("uses","udp");
x.t("uses","tcp");
x.t("uses","application-port");
x.t("uses","standard");
x.t("uses","unexpected");
x.t("uses","dpi");
x.t("uses","private");
x.t("uses","layer-4");
x.t("uses","enhanced");
x.t("uses","deep");
x.t("implemented","analyze");
x.t("implemented","purpose");
x.t("until","time");
x.t("generating","clearing");
x.t("raised","cleared");
x.t("cleared","number");
x.t("later","umts");
x.t("packet\u2019s","information");
x.t("hash","state");
x.t("field","port");
x.t("handled","decides");
x.t("configurable","uplink");
x.t("configurable","rules");
x.t("state","active");
x.t("state","icmp");
x.t("state","table");
x.t("state","initiating");
x.t("state","flag");
x.t("state","uses");
x.t("state","state");
x.t("state","connection");
x.t("state","http");
x.t("state","udp");
x.t("state","entry");
x.t("state","tcp");
x.t("state","trivial");
x.t("state","receiving");
x.t("state","complicated");
x.t("state","allowed");
x.t("state","tcp-syn");
x.t("state","tracked");
x.t("state","ftp");
x.t("state","connections");
x.t("state","established");
x.t("state","help");
x.t("state","information");
x.t("state","host");
x.t("state","host\u2019s");
x.t("state","employed");
x.t("state","tracking");
x.t("state","point-to-point");
x.t("state","flows");
x.t("deployment","requirements");
x.t("support","stateful");
x.t("support","simple");
x.t("support","imsi");
x.t("support","pptp");
x.t("support","logging");
x.t("support","trivial");
x.t("support","ipv6");
x.t("support","flow");
x.t("support","personal");
x.t("support","stateless");
x.t("support","section");
x.t("support","host");
x.t("support","protection");
x.t("support","described");
x.t("support","port");
x.t("support","snmp");
x.t("errors","icmp");
x.t("errors","short");
x.t("errors","reassembly");
x.t("errors","seq/ack");
x.t("rst/fin","invalid");
x.t("tcp-window-containment","detected");
x.t("extension","headers");
x.t("essentially","port");
x.t("modified","new");
x.t("selectively","allows");
x.t("mode","stored");
x.t("mode","personal");
x.t("mode","host");
x.t("mode","policy");
x.t("mode","port");
x.t("mode","service");
x.t("timer","started");
x.t("timer","running");
x.t("early","umts");
x.t("provided","firewall");
x.t("bearer","imsi-pool");
x.t("necessary","ack");
x.t("today","uses");
x.t("functionalities","tftp");
x.t("points","future");
x.t("look","returns");
x.t("firewall","supports");
x.t("firewall","performs");
x.t("firewall","responsible");
x.t("firewall","enabled");
x.t("firewall","uses");
x.t("firewall","state");
x.t("firewall","firewall");
x.t("firewall","inspect");
x.t("firewall","packets");
x.t("firewall","ensuring");
x.t("firewall","explicitly");
x.t("firewall","detect");
x.t("firewall","access");
x.t("firewall","licensed");
x.t("firewall","designed");
x.t("firewall","configurations");
x.t("firewall","license");
x.t("firewall","policies");
x.t("firewall","overview");
x.t("firewall","provides");
x.t("firewall","examines");
x.t("firewall","allows");
x.t("firewall","allow");
x.t("firewall","in-line");
x.t("firewall","flow");
x.t("firewall","cdma");
x.t("firewall","umts");
x.t("firewall","processing");
x.t("firewall","clears");
x.t("firewall","stores");
x.t("firewall","inspects");
x.t("firewall","section");
x.t("firewall","works");
x.t("firewall","disabled");
x.t("firewall","tracks");
x.t("firewall","logs");
x.t("firewall","rules");
x.t("firewall","overcomes");
x.t("firewall","keeps");
x.t("firewall","subsystem");
x.t("firewall","manages");
x.t("firewall","employs");
x.t("firewall","context");
x.t("firewall","host");
x.t("firewall","policy");
x.t("firewall","nat");
x.t("firewall","service");
x.t("firewall","bypassed");
x.t("firewall","ruledef");
x.t("firewall","associations");
x.t("maintained","state");
x.t("maintained","similarly");
x.t("asr","5x00");
x.t("providing","sluggish");
x.t("type","mode");
x.t("type","file");
x.t("type","value");
x.t("type","information");
x.t("type","packet");
x.t("payload","modified");
x.t("payload","applications");
x.t("inspect","analyze");
x.t("open","partial");
x.t("basic","functionalities");
x.t("basic","checks");
x.t("basic","tftp");
x.t("usual","stateful");
x.t("please","contact");
x.t("change","action");
x.t("change","randomly");
x.t("change","firewall-and-nat");
x.t("change","behavior");
x.t("firewall\u2019s","stateful");
x.t("close","connection");
x.t("close","udp");
x.t("close","tcp");
x.t("responses","inbound");
x.t("encapsulation","carry");
x.t("initiates","connection");
x.t("packets","passed");
x.t("packets","icmp");
x.t("packets","possible");
x.t("packets","having");
x.t("packets","ingress");
x.t("packets","selectively");
x.t("packets","basic");
x.t("packets","type");
x.t("packets","connection");
x.t("packets","unknown");
x.t("packets","tftp");
x.t("packets","new");
x.t("packets","access");
x.t("packets","duplicate");
x.t("packets","tcp");
x.t("packets","pptp");
x.t("packets","ms/internet");
x.t("packets","functionality");
x.t("packets","zero");
x.t("packets","destination");
x.t("packets","port-scan");
x.t("packets","falls");
x.t("packets","allowed");
x.t("packets","first");
x.t("packets","crosses");
x.t("packets","parsed");
x.t("packets","stateless");
x.t("packets","received");
x.t("packets","application");
x.t("packets","eventually");
x.t("packets","layer-7");
x.t("packets","inspected");
x.t("packets","traversing");
x.t("packets","flows");
x.t("packets","matching");
x.t("time","clear");
x.t("time","ongoing");
x.t("time","deny-rule");
x.t("time","logging");
x.t("time","time-state");
x.t("time","configured");
x.t("time","drop-packets");
x.t("time","kind");
x.t("time","alarm");
x.t("time","no-rule");
x.t("time","host");
x.t("time","policy");
x.t("time","eventually");
x.t("time","protocol");
x.t("time","streaming");
x.t("response","icmp");
x.t("response","initial");
x.t("response","invalid");
x.t("response","received");
x.t("response","flooding");
x.t("external","network");
x.t("external","hosts");
x.t("reset","message");
x.t("reset","sent");
x.t("hop-by-hop","options");
x.t("ensuring","legitimate");
x.t("public","nated");
x.t("pin","holes");
x.t("calls","change");
x.t("calls","recovered");
x.t("calls","client");
x.t("initiate","new");
x.t("(imsi)","numbers");
x.t("whereas","later");
x.t("explicitly","disabled");
x.t("hence","cli");
x.t("verification","validation");
x.t("initially","tftp");
x.t("subscriber","connection");
x.t("subscriber","stateful");
x.t("subscriber","traffic");
x.t("subscriber","association");
x.t("subscriber","changed");
x.t("subscriber","session");
x.t("subscriber","point");
x.t("subscriber","configured");
x.t("subscriber","sessions");
x.t("subscriber","call");
x.t("connection","states");
x.t("connection","method");
x.t("connection","rogue");
x.t("connection","receives");
x.t("connection","close-wait");
x.t("connection","teardown");
x.t("connection","uses");
x.t("connection","state");
x.t("connection","back");
x.t("connection","(tcp)");
x.t("connection","network");
x.t("connection","permitted");
x.t("connection","tcp");
x.t("connection","enables");
x.t("connection","closed");
x.t("connection","peer");
x.t("connection","trying");
x.t("connection","personal");
x.t("connection","(uplink/downlink)");
x.t("connection","configured");
x.t("connection","(grev1)");
x.t("connection","torn");
x.t("connection","combination");
x.t("connection","different");
x.t("connection","requests");
x.t("connection","starting");
x.t("connection","syn");
x.t("connection","client");
x.t("connection","primary");
x.t("connection","matches");
x.t("connection","actually");
x.t("connection","waiting");
x.t("connection","established");
x.t("connection","fin-wait-1");
x.t("connection","information");
x.t("connection","data");
x.t("connection","based");
x.t("connection","operate");
x.t("connection","used");
x.t("connection","syn-sent");
x.t("connection","towards");
x.t("connection","sent");
x.t("connection","lacks");
x.t("acknowledgement","time-wait");
x.t("acknowledgement","ack");
x.t("acknowledgement","numbers");
x.t("down","cisco");
x.t("down","timed");
x.t("(ecs)","active");
x.t("mobile","subscribers");
x.t("mobile","nodes");
x.t("mobile","station");
x.t("i.e","traffic");
x.t("i.e","upon");
x.t("unknown","extension");
x.t("form","unique");
x.t("international","mobile");
x.t("trigger","check");
x.t("trigger","alg");
x.t("arrives","internet");
x.t("arrives","usual");
x.t("arrives","subscriber");
x.t("arrives","allowed");
x.t("whenever","new");
x.t("whenever","measured");
x.t("whenever","packet");
x.t("releases","used");
x.t("releases","policy-based");
x.t("multiple","policies");
x.t("multiple","actions");
x.t("multiple","firewall-and-nat");
x.t("however","policy");
x.t("identify","initiation");
x.t("protect","subscribers");
x.t("detect","allow");
x.t("detect","following");
x.t("listed","above");
x.t("listed","based");
x.t("checks","tcp-based");
x.t("checks","limiting");
x.t("checks","header");
x.t("checks","sequence");
x.t("checks","done");
x.t("checks","packet");
x.t("checks","performed");
x.t("require","additional");
x.t("partial","connections/pinholes");
x.t("filters","disallowing");
x.t("default","packets");
x.t("default","stateful");
x.t("default","rulebase");
x.t("default","policy");
x.t("default","firewall-and-nat");
x.t("back","initiating");
x.t("back","ack");
x.t("needed","gracefully");
x.t("networks","(vpn)");
x.t("access","rule");
x.t("access","control");
x.t("access","ruledefs");
x.t("access","ruledef");
x.t("new","connection");
x.t("new","traffic");
x.t("new","session");
x.t("new","flow");
x.t("new","unique");
x.t("new","ftp");
x.t("new","connections");
x.t("new","port");
x.t("new","call");
x.t("new","acs");
x.t("packet's","header");
x.t("attacking","server");
x.t("servers","dos");
x.t("consists","sending");
x.t("consists","private");
x.t("consists","following");
x.t("tftp","supports");
x.t("tftp","uses");
x.t("tftp","packets");
x.t("tftp","file");
x.t("tftp","analyzer");
x.t("tftp","dynamic");
x.t("tftp","application");
x.t("tftp","protocol");
x.t("tftp","two");
x.t("tftp","signatures");
x.t("tftp","starts");
x.t("tftp","alg");
x.t("seamlessly","applications");
x.t("start","connection");
x.t("start","kind");
x.t("happening","system");
x.t("turned","on/off");
x.t("gracefully","close");
x.t("response-type","messages");
x.t("single","established");
x.t("license","requirements");
x.t("license","present");
x.t("license","may");
x.t("license","keys");
x.t("licensed","cisco");
x.t("designed","defend");
x.t("recovered","ongoing");
x.t("recovered","stateful");
x.t("recovered","recovery-timeout");
x.t("rulebase-based","configurations");
x.t("configurations","whereas");
x.t("configurations","multiple");
x.t("configurations","release");
x.t("configurations","information");
x.t("configurations","firewall-and-nat");
x.t("command","identify");
x.t("command","default");
x.t("includes","source");
x.t("tunneled","network");
x.t("stateful","firewall");
x.t("stateful","firewall\u2019s");
x.t("stateful","checks");
x.t("stateful","inspection");
x.t("stateful","processing");
x.t("stateful","connection-oriented");
x.t("stateful","packet");
x.t("security","violations");
x.t("security","attacks");
x.t("cpu","time");
x.t("able","reach");
x.t("short","icmp");
x.t("short","udp");
x.t("short","tcp");
x.t("short","header");
x.t("out-of-range","tcp");
x.t("indicates","whether");
x.t("file","tftp");
x.t("file","operation");
x.t("file","receiving");
x.t("file","transfer");
x.t("file","operations");
x.t("http","allows");
x.t("http","ecs");
x.t("http","main");
x.t("http","application");
x.t("many-to-one","nat");
x.t("need","respect");
x.t("found","flow");
x.t("deny","rules");
x.t("deny","incoming");
x.t("policies","combined");
x.t("policies","configured");
x.t("policies","created");
x.t("list","made");
x.t("list","information");
x.t("proper","syn-ack");
x.t("status","addresses");
x.t("initialization","follows");
x.t("initialization","wherein");
x.t("outbound","responses");
x.t("ppp","packets");
x.t("(tcp)","data");
x.t("knowing","given");
x.t("track","connection's");
x.t("track","individual");
x.t("flags","maintained");
x.t("flags","tcp");
x.t("flags","invalid");
x.t("flags","sequence");
x.t("flags","defined");
x.t("flags","used");
x.t("cisco","asr");
x.t("cisco","account");
x.t("cisco","feature");
x.t("cisco","systems");
x.t("installing","verifying");
x.t("udp","method");
x.t("udp","icmp");
x.t("udp","connection-less");
x.t("udp","user");
x.t("udp","flood");
x.t("udp","initially");
x.t("udp","connection");
x.t("udp","echo");
x.t("udp","traffic");
x.t("udp","session");
x.t("udp","destination");
x.t("udp","checksum");
x.t("udp","personal");
x.t("udp","stateless");
x.t("udp","transport");
x.t("udp","session\u2019s");
x.t("udp","header");
x.t("udp","messaging");
x.t("udp","port");
x.t("udp","protocol");
x.t("udp","packet");
x.t("(smtp)","http");
x.t("during","time");
x.t("during","mid-session");
x.t("during","session");
x.t("during","flow");
x.t("during","authentication");
x.t("during","call");
x.t("group","international");
x.t("group","host");
x.t("group","port");
x.t("actions","taken");
x.t("reject","traffic");
x.t("fin","connection");
x.t("fin","needed");
x.t("fin","sends");
x.t("fin","fin-wait-2");
x.t("fin","packet");
x.t("fin","waits");
x.t("fin","sent");
x.t("datagram","protocol");
x.t("entry","table");
x.t("entry","state");
x.t("entry","predetermined");
x.t("entry","determine");
x.t("entry","allows");
x.t("entry","created");
x.t("guide","supported");
x.t("guide","platform");
x.t("guide","chassis");
x.t("network","protocols");
x.t("network","deployment");
x.t("network","essentially");
x.t("network","http");
x.t("network","pptp");
x.t("network","extent");
x.t("network","different");
x.t("network","types");
x.t("network","host");
x.t("network","protocol");
x.t("network","two");
x.t("network","applications");
x.t("network","resources/services");
x.t("network","towards");
x.t("network","bandwidth");
x.t("imsi","pools");
x.t("imsi","numbers");
x.t("imsi","pool");
x.t("check","stateful");
x.t("check","made");
x.t("check","application-level");
x.t("check","enhanced");
x.t("check","done");
x.t("(rtsp)","point-to-point");
x.t("simple","mail");
x.t("due","connection-less");
x.t("due","tcp");
x.t("due","pin-hole");
x.t("permitted","personal");
x.t("requested","firewall");
x.t("syn-ack","reply");
x.t("syn-ack","tcp");
x.t("overview","personal");
x.t("overview","supported");
x.t("overview","chapter");
x.t("overview","section");
x.t("features","personal");
x.t("features","protection");
x.t("features","used");
x.t("traffic","states");
x.t("traffic","coming");
x.t("traffic","performs");
x.t("traffic","state");
x.t("traffic","external");
x.t("traffic","arrives");
x.t("traffic","able");
x.t("traffic","stateful");
x.t("traffic","suppression");
x.t("traffic","parameters");
x.t("traffic","ipv6");
x.t("traffic","allow");
x.t("traffic","flow");
x.t("traffic","configured");
x.t("traffic","cannot");
x.t("traffic","properly");
x.t("traffic","h323");
x.t("traffic","5-tuple");
x.t("traffic","3-way");
x.t("tcp","icmp");
x.t("tcp","fsm");
x.t("tcp","state");
x.t("tcp","packets");
x.t("tcp","connection");
x.t("tcp","stateful");
x.t("tcp","flags");
x.t("tcp","udp");
x.t("tcp","checksum");
x.t("tcp","personal");
x.t("tcp","flow");
x.t("tcp","pre-connection");
x.t("tcp","transport");
x.t("tcp","syn");
x.t("tcp","tracks");
x.t("tcp","header");
x.t("tcp","null");
x.t("tcp","closing");
x.t("tcp","establishing");
x.t("tcp","implementation");
x.t("tcp","considered");
x.t("tcp","protocol");
x.t("tcp","packet");
x.t("tcp-based","attacks");
x.t("echo","response");
x.t("echo","packets");
x.t("duplicate","icmp");
x.t("duplicate","sequence");
x.t("parse","application");
x.t("holes","feature");
x.t("configuring","access");
x.t("(ruledefs)","active");
x.t("(ruledefs)","configured");
x.t("suppression","feature");
x.t("domains","callers");
x.t("products","ggsn");
x.t("requirements","personal");
x.t("requirements","additional");
x.t("requirements","information");
x.t("potential","tftp");
x.t("potential","weaknesses");
x.t("analyze","parse");
x.t("analyze","pptp");
x.t("pptp","exchanges");
x.t("pptp","uses");
x.t("pptp","analyzer");
x.t("pptp","allows");
x.t("pptp","first");
x.t("pptp","control");
x.t("pptp","client");
x.t("pptp","application");
x.t("pptp","protocol");
x.t("pptp","alg");
x.t("pptp","server");
x.t("processed","individually");
x.t("ms/internet","until");
x.t("specified","threshold");
x.t("last-ack","state");
x.t("handle","icmp");
x.t("account","representative");
x.t("account","verify");
x.t("resulting","system");
x.t("direction","mime");
x.t("direction","udp-based");
x.t("direction","various");
x.t("direction","tcp-window-containment");
x.t("direction","i.e");
x.t("direction","connection");
x.t("direction","short");
x.t("direction","traffic");
x.t("direction","exceeding");
x.t("direction","ipv6");
x.t("direction","maximum");
x.t("direction","ftp");
x.t("direction","icmp-based");
x.t("direction","information");
x.t("direction","packet");
x.t("direction","ping");
x.t("syn_rcvd1","state");
x.t("functionality","personal");
x.t("functionality","algs");
x.t("functionality","similar");
x.t("functionality","application");
x.t("functionality","chassis");
x.t("functionality","following");
x.t("functionality","manage");
x.t("functionality","operator");
x.t("(pptp)","protocols");
x.t("(pptp)","trivial");
x.t("outside","world");
x.t("creating","pin");
x.t("ip/port","translation");
x.t("stored","confirming");
x.t("stored","new");
x.t("stored","upon");
x.t("definition","overall");
x.t("definition","user-defined");
x.t("definition","individual");
x.t("acking","request");
x.t("association","found");
x.t("association","maximum");
x.t("association","created");
x.t("association","reverse");
x.t("name","source");
x.t("name","configured");
x.t("name","diameter");
x.t("imsi-pool","apn");
x.t("overall","state");
x.t("overall","session\u2019s");
x.t("operation","performed");
x.t("addresses","hence");
x.t("addresses","udp");
x.t("addresses","imsi");
x.t("addresses","logging");
x.t("addresses","parameters");
x.t("addresses","address");
x.t("addresses","ports");
x.t("addresses","configured");
x.t("addresses","share");
x.t("addresses","enhanced");
x.t("enables","firewall");
x.t("enables","prevent");
x.t("ddos","security");
x.t("gateway","support");
x.t("gateway","(alg)");
x.t("closed","non-state");
x.t("closed","rst");
x.t("syn_rcvd2","state");
x.t("communication","issues");
x.t("communication","exchange");
x.t("communication","achieve");
x.t("communication","sessions");
x.t("communication","tracking");
x.t("analyzer","implemented");
x.t("analyzer","pptp");
x.t("analyzer","potential");
x.t("analyzer","analyzes");
x.t("analyzer","nat");
x.t("remove/add","new");
x.t("notifications","various");
x.t("8.x","stateful");
x.t("changed","either");
x.t("handler","method");
x.t("follows","standard");
x.t("codes","supported");
x.t("application-port","mapping");
x.t("part","udp");
x.t("part","existing");
x.t("logging","various");
x.t("logging","action");
x.t("logging","enabled");
x.t("logging","support");
x.t("logging","whenever");
x.t("logging","supported");
x.t("ipv4","packets");
x.t("ipv4","attacking");
x.t("ipv4","traffic");
x.t("ipv4","ipv6");
x.t("ipv4","flows");
x.t("trivial","file");
x.t("analyzes","packets");
x.t("analyzes","tftp");
x.t("analyzes","gre");
x.t("analyzes","packet");
x.t("uplink","downlink");
x.t("mid-session","provided");
x.t("mid-session","firewall");
x.t("apn","logging");
x.t("listen","state");
x.t("virtual","private");
x.t("octet","binary");
x.t("provides","overview");
x.t("provides","inspection");
x.t("provides","protection");
x.t("provides","alg");
x.t("filtering","uses");
x.t("filtering","support");
x.t("filtering","functionality");
x.t("filtering","destination");
x.t("filtering","allows");
x.t("filtering","inspection");
x.t("filtering","fragment");
x.t("filtering","protection");
x.t("filtering","decisions");
x.t("filtering","based");
x.t("filtering","router");
x.t("prior","packets");
x.t("(acs)","in-line");
x.t("timed-out","syn_rcvd1");
x.t("timed-out","syn_rcvd2");
x.t("exceeding","reset");
x.t("zero","dos");
x.t("zero","firewall");
x.t("zero","default");
x.t("zero","stateful");
x.t("zero","winnuke");
x.t("further","traffic");
x.t("further","weakness");
x.t("sip","algs");
x.t("session","failover");
x.t("session","state");
x.t("session","connection");
x.t("session","initialization");
x.t("session","duplicate");
x.t("session","pptp");
x.t("session","stored");
x.t("session","allow");
x.t("session","personal");
x.t("session","allowed");
x.t("session","terminated");
x.t("session","recovery");
x.t("session","represents");
x.t("session","matches");
x.t("session","information");
x.t("session","packet");
x.t("session","created");
x.t("session","ending");
x.t("session","tracking");
x.t("session","deleted");
x.t("exists","connection");
x.t("exists","tftp");
x.t("rule","firewall");
x.t("rule","turned");
x.t("rule","lines");
x.t("rule","level");
x.t("rule","message");
x.t("rule","logs");
x.t("rule","created");
x.t("rule","definitions");
x.t("inner","packet");
x.t("parameters","version");
x.t("parameters","subscriber");
x.t("peer","last-ack");
x.t("peer","note");
x.t("predetermined","timeout");
x.t("determine","states");
x.t("determine","whether");
x.t("determine","validity");
x.t("determine","5-tuple");
x.t("trying","initiate");
x.t("trying","establish");
x.t("5x00","chassis");
x.t("representative","license");
x.t("representative","detailed");
x.t("representative","firewall-and-nat");
x.t("ipv6","packets");
x.t("ipv6","servers");
x.t("ipv6","access");
x.t("ipv6","traffic");
x.t("ipv6","addresses");
x.t("ipv6","icmpv6");
x.t("ipv6","header");
x.t("ipv6","ensure");
x.t("ipv6","protection");
x.t("ipv6","packet");
x.t("ipv6","flows");
x.t("winnuke","attack");
x.t("scanning","technique");
x.t("scanning","implementing");
x.t("scanning","port");
x.t("find","potential");
x.t("standard","tcp");
x.t("standard","application");
x.t("sends","sn-firewall-policy");
x.t("sends","back");
x.t("sends","nack");
x.t("ocs","policy");
x.t("ocs","priority");
x.t("whichever","comes");
x.t("continue","sn-firewall-policy");
x.t("continue","important");
x.t("figures","illustrate");
x.t("time-wait","state");
x.t("makes","icmp");
x.t("generic","routing");
x.t("ascii","octet");
x.t("expired","associated");
x.t("tel","408-526-4000");
x.t("destination","unreachable");
x.t("destination","addresses");
x.t("destination","address");
x.t("destination","confusing");
x.t("destination","ports");
x.t("destination","options");
x.t("destination","hosts");
x.t("destination","port");
x.t("examines","packet");
x.t("map","support");
x.t("map","features");
x.t("map","configuration");
x.t("map","hosts");
x.t("map","port");
x.t("stack","destination");
x.t("destroy","data");
x.t("downlink","packets");
x.t("downlink","direction");
x.t("downlink","data");
x.t("downlink","directions");
x.t("post","connection");
x.t("allows","packets");
x.t("allows","downlink");
x.t("allows","operators");
x.t("allows","easier");
x.t("allows","configure");
x.t("allows","pass");
x.t("allows","point-to-point");
x.t("matched","data");
x.t("address","source");
x.t("address","flags");
x.t("address","destination");
x.t("address","request");
x.t("address","port");
x.t("address","ranges");
x.t("dst-address","capable");
x.t("final","fin");
x.t("ipsg","pdsn");
x.t("allow","reject");
x.t("allow","network");
x.t("allow","operators");
x.t("allow","connections");
x.t("allow","drop");
x.t("allow","operator");
x.t("(dos)","distributed");
x.t("deprive","network");
x.t("target","tcp/ip");
x.t("tcp/ip","stack");
x.t("port-scan","attacks");
x.t("port-scan","flooding");
x.t("checksum","errors");
x.t("integrity","checks");
x.t("integrity","ipv6");
x.t("regarding","connections");
x.t("sets","imsi");
x.t("sets","addresses");
x.t("sets","ports");
x.t("started","during");
x.t("critical","error");
x.t("local","service");
x.t("aaa/ocs","applied");
x.t("aaa/ocs","default");
x.t("aaa/ocs","sends");
x.t("aaa/ocs","override");
x.t("aaa/ocs","firewall-and-nat");
x.t("string","null");
x.t("string","disable");
x.t("fields","ruledef");
x.t("lines","src-address");
x.t("segment","lifetime");
x.t("personal","stateful");
x.t("in-line","service");
x.t("inspection","(dpi)");
x.t("inspection","support");
x.t("inspection","firewall");
x.t("inspection","filtering");
x.t("inspection","personal");
x.t("inspection","feature");
x.t("inspection","section");
x.t("inspection","charging");
x.t("ports","trigger");
x.t("ports","network");
x.t("ports","direction");
x.t("ports","association");
x.t("ports","configured");
x.t("ports","involved");
x.t("ports","protocol");
x.t("flow","uses");
x.t("flow","change");
x.t("flow","packets");
x.t("flow","consists");
x.t("flow","new");
x.t("flow","access");
x.t("flow","recovered");
x.t("flow","stateful");
x.t("flow","http");
x.t("flow","due");
x.t("flow","traffic");
x.t("flow","creating");
x.t("flow","recovery");
x.t("flow","private");
x.t("flow","ftp");
x.t("flow","starts");
x.t("flow","translation");
x.t("flow","negative");
x.t("extent","valid");
x.t("confusing","target");
x.t("abuse","network");
x.t("nated","good");
x.t("marked","dummy");
x.t("receiving","file");
x.t("receiving","syn-ack");
x.t("receiving","syn");
x.t("receiving","nack");
x.t("earlier","else");
x.t("radius","during");
x.t("radius","messages");
x.t("outgoing","packets");
x.t("outgoing","connection");
x.t("defining","stateful");
x.t("second","fin");
x.t("crash","providing");
x.t("crash","release");
x.t("icmpv6","packets");
x.t("icmpv6","protocol");
x.t("store","ipv6");
x.t("nat-ed","call");
x.t("request","reply");
x.t("request","start");
x.t("request","message");
x.t("(uplink/downlink)","once");
x.t("(uplink/downlink)","bearer");
x.t("recovers","recovery-timeout");
x.t("syslog","server");
x.t("cdma","early");
x.t("cdma","releases");
x.t("umts","releases");
x.t("umts","cdma");
x.t("allowing","opening");
x.t("time-state","defined");
x.t("unexpected","simultaneous");
x.t("complicated","process");
x.t("effective","firewall");
x.t("present","application-level");
x.t("dpi","functionality");
x.t("dpi","personal");
x.t("functions","detect");
x.t("supported","generating");
x.t("supported","tftp");
x.t("supported","features");
x.t("supported","rule");
x.t("supported","establish");
x.t("configured","firewall");
x.t("configured","however");
x.t("configured","stateful");
x.t("configured","imsi");
x.t("configured","aaa/ocs");
x.t("configured","(uplink/downlink)");
x.t("configured","stateless");
x.t("configured","variety");
x.t("configured","send");
x.t("configured","host");
x.t("configured","port");
x.t("configured","firewall-and-nat");
x.t("configured","locally");
x.t("configured","system");
x.t("configured","acs");
x.t("configured","apn/subscriber");
x.t("licenses","refer");
x.t("error","handler");
x.t("error","codes");
x.t("error","messages");
x.t("error","invalid");
x.t("error","message");
x.t("error","warning");
x.t("exploited","stateful");
x.t("commands","layer-7");
x.t("disallows","packets");
x.t("respect","tcp");
x.t("equivalent","flows");
x.t("falls","below");
x.t("display","ipv6");
x.t("point","time");
x.t("point","network");
x.t("pause","equal");
x.t("involved","sequence");
x.t("discarded","information");
x.t("ecs","functionality");
x.t("ecs","sessions");
x.t("ecs","enhanced");
x.t("(ddos)","attacks");
x.t("excessive","resources");
x.t("disk","space");
x.t("algs","listed");
x.t("algs","check");
x.t("algs","algs");
x.t("algs","work");
x.t("operators","group");
x.t("operators","configure");
x.t("period","time");
x.t("aaa","ocs");
x.t("aaa","server");
x.t("behaviors","account");
x.t("validation","http");
x.t("validation","dpi");
x.t("feature","ensures");
x.t("feature","license");
x.t("feature","analyzes");
x.t("feature","allows");
x.t("feature","effective");
x.t("feature","inspects");
x.t("feature","triggered");
x.t("feature","separate");
x.t("feature","enhanced");
x.t("space","cpu");
x.t("headers","hop-by-hop");
x.t("headers","dropped");
x.t("allowed","firewall");
x.t("allowed","connection");
x.t("allowed","whenever");
x.t("allowed","association");
x.t("allowed","feature");
x.t("allowed","pass");
x.t("allowed","pinhole");
x.t("allowed","maintains");
x.t("options","filtering");
x.t("first","packet");
x.t("means","host");
x.t("thresholds","receive");
x.t("messages","various");
x.t("messages","screen");
x.t("messages","host");
x.t("messages","precipitated");
x.t("messages","firewall-and-nat");
x.t("kept","hash");
x.t("issues","relies");
x.t("control","connection");
x.t("control","session");
x.t("control","flow");
x.t("control","individual");
x.t("number","dos");
x.t("number","required");
x.t("number","flag");
x.t("number","short");
x.t("number","deny");
x.t("number","stateful");
x.t("number","rules");
x.t("number","validations");
x.t("number","received");
x.t("number","dropped");
x.t("communicate","outside");
x.t("processing","continued");
x.t("processing","packets");
x.t("processing","subscriber");
x.t("processing","ipv6");
x.t("processing","stateless");
x.t("processing","disabled");
x.t("processing","subscribers");
x.t("processing","applicable");
x.t("processing","attacks");
x.t("processing","enhanced");
x.t("processing","flooding");
x.t("processing","done");
x.t("processing","understanding");
x.t("terminated","mid-session");
x.t("setup","important");
x.t("graceful","termination");
x.t("(ppp)","tunneled");
x.t("determining","packet's");
x.t("length","icmp");
x.t("length","short");
x.t("length","udp");
x.t("length","tcp");
x.t("length","checksum");
x.t("length","invalid");
x.t("length","ip-unaligned-timestamp");
x.t("tcp-syn","flood");
x.t("technique","used");
x.t("tunnel","pptp");
x.t("tunnel","flow");
x.t("crosses","specified");
x.t("crosses","given");
x.t("maximum","4096");
x.t("maximum","association");
x.t("maximum","segment");
x.t("maximum","number");
x.t("callers","within");
x.t("announces","session\u2019s");
x.t("clears","state");
x.t("clears","udp");
x.t("traceroute","packets");
x.t("traceroute","handle");
x.t("widely","used");
x.t("(grev1)","pptp");
x.t("source/destination","destination");
x.t("chapter","covers");
x.t("chapter","provides");
x.t("chapter","system");
x.t("against","dos");
x.t("against","denial-of-service");
x.t("against","configurable");
x.t("against","attacks");
x.t("against","port");
x.t("whether","new");
x.t("whether","allow");
x.t("whether","port");
x.t("may","required");
x.t("may","include");
x.t("torn","down");
x.t("software","management");
x.t("recovery","enabled");
x.t("recovery","support");
x.t("recovery","timer");
x.t("recovery","calls");
x.t("recovery","during");
x.t("recovery","disabled");
x.t("recovery","similar");
x.t("recovery","done");
x.t("(ftp)","real");
x.t("private","networks");
x.t("private","communicate");
x.t("private","ips");
x.t("private","specific");
x.t("exchange","pptp");
x.t("exchange","personal");
x.t("unique","triple");
x.t("unique","call");
x.t("parsed","information");
x.t("share","similar");
x.t("combination","ipv4");
x.t("combination","sequence");
x.t("combination","information");
x.t("receive","notifications");
x.t("cannot","icmp");
x.t("cannot","disabled");
x.t("cannot","correct");
x.t("different","modes");
x.t("different","manner");
x.t("different","connection");
x.t("different","tcp");
x.t("different","communication");
x.t("different","error");
x.t("different","rules");
x.t("different","applications");
x.t("different","acs");
x.t("user-defined","firewall");
x.t("represents","generally");
x.t("move","files");
x.t("particular","session");
x.t("stateless","stateful");
x.t("stateless","inspection");
x.t("stateless","processing");
x.t("stateless","protocol");
x.t("stateless","packet");
x.t("detailed","messages");
x.t("detailed","information");
x.t("requests","icmp");
x.t("requests","outbound");
x.t("requests","allowed");
x.t("requests","invalid");
x.t("requests","using");
x.t("pre-connection","requests");
x.t("probed","further");
x.t("ips","tftp");
x.t("ips","nat");
x.t("characteristics","together");
x.t("pin-hole","based");
x.t("stores","session");
x.t("aware","every");
x.t("ways","attributes");
x.t("begins","listen");
x.t("starting","state");
x.t("twice","maximum");
x.t("inspects","packets");
x.t("inspects","subscriber");
x.t("inspects","packet");
x.t("section","describes");
x.t("section","stateful");
x.t("section","software");
x.t("section","enhanced");
x.t("release","12.0");
x.t("release","8.x");
x.t("release","9.0");
x.t("release","malformity");
x.t("internal","network");
x.t("internal","hosts");
x.t("types","denial-of-service");
x.t("scan","checks");
x.t("scan","consists");
x.t("scan","attacks");
x.t("scan","detection");
x.t("implementing","port");
x.t("legitimate","connections");
x.t("properly","handled");
x.t("properly","stateful");
x.t("payloads","firewall");
x.t("payloads","additional");
x.t("achieve","pptp");
x.t("achieve","virtual");
x.t("transport","protocols");
x.t("transport","network");
x.t("transport","level");
x.t("transport","protocol");
x.t("clearing","alarms");
x.t("drop-packets","number");
x.t("asking","graceful");
x.t("verify","session-related");
x.t("match","look");
x.t("match","new");
x.t("match","associated");
x.t("works","section");
x.t("works","important");
x.t("works","conjuction");
x.t("works","following");
x.t("works","understanding");
x.t("individually","unaware");
x.t("individually","stateless");
x.t("sluggish","response");
x.t("syn","flag");
x.t("syn","tcp");
x.t("syn","packet");
x.t("algorithms","port-scan");
x.t("purpose","routing");
x.t("important","sn-firewall-policy");
x.t("important","default");
x.t("important","part");
x.t("important","release");
x.t("important","firewall-and-nat");
x.t("added","multiple");
x.t("tracked","various");
x.t("initial","fin");
x.t("session-related","traffic");
x.t("invalid","icmp");
x.t("invalid","seq");
x.t("invalid","udp");
x.t("invalid","tcp");
x.t("invalid","option");
x.t("invalid","ack");
x.t("client","resides");
x.t("client","initiates");
x.t("client","port");
x.t("client","server");
x.t("identifier","(imsi)");
x.t("identifier","value");
x.t("9.0","stateful");
x.t("diameter","radius");
x.t("connection-oriented","protocol");
x.t("end","points");
x.t("end","lack");
x.t("follow","different");
x.t("primary","vehicle");
x.t("primary","port");
x.t("vehicle","performs");
x.t("licensing","requirements");
x.t("tunneling","protocol");
x.t("ids","maintained");
x.t("ids","peers");
x.t("level","enabled");
x.t("level","change");
x.t("level","tcp");
x.t("disabled","icmp");
x.t("disabled","stateful");
x.t("disabled","ecs");
x.t("disabled","works");
x.t("disabled","value");
x.t("disabled","subscribers");
x.t("disabled","apn/subscriber");
x.t("disabled","flows");
x.t("disabled","dynamically");
x.t("override","policy");
x.t("identifies","subscriber");
x.t("tracks","icmp");
x.t("tracks","state");
x.t("tracks","udp");
x.t("session\u2019s","state");
x.t("session\u2019s","end");
x.t("often","used");
x.t("return","error");
x.t("given","time");
x.t("given","session");
x.t("given","period");
x.t("given","value");
x.t("given","packet");
x.t("header","checks");
x.t("header","check");
x.t("header","filtering");
x.t("header","integrity");
x.t("header","processing");
x.t("header","length");
x.t("header","information");
x.t("header","translates");
x.t("memory","disk");
x.t("jolt","attacks");
x.t("teardrop","attacks");
x.t("option","length");
x.t("message","icmp");
x.t("message","type");
x.t("message","logging");
x.t("message","threshold");
x.t("message","replay");
x.t("message","port");
x.t("message","without");
x.t("threshold","clear");
x.t("threshold","source");
x.t("threshold","raised");
x.t("threshold","value");
x.t("replay","attacks");
x.t("limiting","extension");
x.t("pools","imsi");
x.t("pools","allow");
x.t("pools","sets");
x.t("pools","configured");
x.t("pools","port");
x.t("pools","enhanced");
x.t("nack","unwanted");
x.t("nack","5-tuple");
x.t("triggered","i.e");
x.t("logs","provide");
x.t("logs","displaying");
x.t("logs","sent");
x.t("least","priority");
x.t("non-state","exists");
x.t("performing","simultaneous");
x.t("matches","tcp");
x.t("matches","values");
x.t("ftp","allows");
x.t("ftp","control");
x.t("ftp","application-level");
x.t("ftp","data");
x.t("ftp","application");
x.t("ftp","port");
x.t("ftp","bounce");
x.t("ftp","alg");
x.t("ensure","integrity");
x.t("kind","response");
x.t("kind","acking");
x.t("kind","packet");
x.t("translated","sent");
x.t("together","access");
x.t("together","sets");
x.t("unwanted","traffic");
x.t("upon","match");
x.t("upon","repeatedly");
x.t("randomly","given");
x.t("communicating","type");
x.t("rules","cross");
x.t("rules","connection");
x.t("rules","stateful");
x.t("rules","communication");
x.t("rules","determine");
x.t("rules","dpi");
x.t("rules","falls");
x.t("rules","rules");
x.t("rules","host");
x.t("rules","specify");
x.t("sessions","firewall");
x.t("sessions","protect");
x.t("sessions","source/destination");
x.t("sessions","different");
x.t("sessions","subscribers");
x.t("compared","against");
x.t("existing","connection");
x.t("existing","remove/add");
x.t("existing","rule");
x.t("existing","policy");
x.t("establish","new");
x.t("establish","gre");
x.t("and/or","contact");
x.t("and/or","policy");
x.t("and/or","acs");
x.t("null","scan");
x.t("null","existing");
x.t("mail","transfer");
x.t("peers","form");
x.t("overcomes","disadvantages");
x.t("taken","packets");
x.t("taken","firewall-and-nat");
x.t("closing","state");
x.t("closing","connection");
x.t("lifetime","(msl)");
x.t("made","source/destination");
x.t("made","port");
x.t("408-526-4000","fax");
x.t("configuration","available");
x.t("configuration","mode");
x.t("configuration","command");
x.t("configuration","aaa/ocs");
x.t("configuration","stateless");
x.t("keeps","status");
x.t("keeps","track");
x.t("include","sending");
x.t("include","addresses");
x.t("variety","dos");
x.t("variety","components");
x.t("keys","section");
x.t("failure","(uplink)");
x.t("failure","(downlink)");
x.t("fragment","header");
x.t("triple","value");
x.t("amount","time");
x.t("transferred","flow");
x.t("running","staros");
x.t("running","flows");
x.t("additional","connection");
x.t("additional","connections");
x.t("additional","information");
x.t("application-level","traffic");
x.t("application-level","gateway");
x.t("application-level","commands");
x.t("application-level","attacks");
x.t("application-level","content");
x.t("hosts","sending");
x.t("hosts","source");
x.t("hosts","external");
x.t("hosts","network");
x.t("hosts","tcp");
x.t("hosts","disallows");
x.t("hosts","internal");
x.t("similar","ipv4");
x.t("similar","characteristics");
x.t("ip-based","attacks");
x.t("value","zero");
x.t("value","falls");
x.t("value","crosses");
x.t("value","client");
x.t("value","given");
x.t("value","threshold");
x.t("value","called");
x.t("value","cookie");
x.t("value","non-zero");
x.t("value","reached");
x.t("value","dropped");
x.t("weakness","hackers");
x.t("alarm","generated");
x.t("establishing","connection");
x.t("main","protocols");
x.t("easier","definition");
x.t("malicious","security");
x.t("specific","network");
x.t("specific","licensing");
x.t("specific","information");
x.t("gre","session");
x.t("gre","generic");
x.t("gre","downlink");
x.t("gre","header");
x.t("gre","data");
x.t("gre","call");
x.t("send","pptp");
x.t("send","gre");
x.t("validations","port");
x.t("measured","value");
x.t("no-rule","number");
x.t("accepting","ipv4");
x.t("holds","list");
x.t("validity","session");
x.t("termination","tcp");
x.t("termination","end");
x.t("implementation","closing");
x.t("wherein","ftp");
x.t("subscribers","domains");
x.t("subscribers","invalid");
x.t("subscribers","disabled");
x.t("subscribers","application-level");
x.t("subscribers","malicious");
x.t("subscribers","prevent");
x.t("subscribers","following");
x.t("subscribers","using");
x.t("subscribers","dropped");
x.t("p-gw","personal");
x.t("connections","flags");
x.t("connections","parse");
x.t("connections","allowed");
x.t("connections","opened");
x.t("connections","traversing");
x.t("connections","initiated");
x.t("connections","sent");
x.t("charging","information");
x.t("charging","service");
x.t("charging","ruledefs");
x.t("malformed","packets");
x.t("originating","internet");
x.t("manager","recovers");
x.t("repeatedly","receiving");
x.t("generated","whenever");
x.t("generated","following");
x.t("rulebase","default");
x.t("rulebase","important");
x.t("rulebase","least");
x.t("rulebase","policy");
x.t("rulebase","used");
x.t("rulebase","apn/subscriber");
x.t("subsystem","aware");
x.t("subsystem","compares");
x.t("actually","begins");
x.t("waiting","acknowledgement");
x.t("waiting","proper");
x.t("waiting","request");
x.t("process","udp");
x.t("process","tcp");
x.t("process","personal");
x.t("lack","defined");
x.t("established","state");
x.t("established","connection");
x.t("established","during");
x.t("established","prior");
x.t("established","invalid");
x.t("runs","cisco");
x.t("valid","traffic");
x.t("valid","pinhole");
x.t("h323","sip");
x.t("screen","logging");
x.t("cli","level");
x.t("cli","dynamic");
x.t("template","and/or");
x.t("template","configuration");
x.t("template","firewall-and-nat");
x.t("template","overrides");
x.t("authentication","disabling");
x.t("capable","accepting");
x.t("opening","auxiliary");
x.t("considered","stateful");
x.t("takes","application");
x.t("manages","different");
x.t("systems","tel");
x.t("systems","across");
x.t("initiation","termination");
x.t("drop","packets");
x.t("drop","packet");
x.t("sequence","acknowledgement");
x.t("sequence","number");
x.t("sequence","numbers");
x.t("platform","requirements");
x.t("separate","feature");
x.t("nodes","stateful");
x.t("icmp-based","attacks");
x.t("weaknesses","exploited");
x.t("employs","algs");
x.t("transfer","netascii");
x.t("transfer","data");
x.t("transfer","protocol");
x.t("transfer","applications");
x.t("good","definition");
x.t("good","communication");
x.t("dynamic","route");
x.t("dynamic","update");
x.t("applicable","tcp");
x.t("context","access");
x.t("context","policy");
x.t("fin-wait-1","state");
x.t("help","dpi");
x.t("along","ftp");
x.t("information","refer");
x.t("information","table");
x.t("information","source");
x.t("information","state");
x.t("information","open");
x.t("information","please");
x.t("information","public");
x.t("information","connection");
x.t("information","includes");
x.t("information","installing");
x.t("information","regarding");
x.t("information","ecs");
x.t("information","kept");
x.t("information","control");
x.t("information","may");
x.t("information","exchange");
x.t("information","identifies");
x.t("information","compared");
x.t("information","application-level");
x.t("information","specific");
x.t("information","data");
x.t("information","query");
x.t("information","consideration");
x.t("information","contained");
x.t("information","used");
x.t("data","packets");
x.t("data","connection");
x.t("data","session");
x.t("data","flow");
x.t("data","tunnel");
x.t("data","sessions");
x.t("data","transferred");
x.t("data","structure");
x.t("data","without");
x.t("data","affected");
x.t("data","sent");
x.t("data","content");
x.t("host","just");
x.t("host","necessary");
x.t("host","state");
x.t("host","time");
x.t("host","addresses");
x.t("host","trying");
x.t("host","map");
x.t("host","receiving");
x.t("host","pools");
x.t("host","waiting");
x.t("host","received");
x.t("host","protocol");
x.t("host","waits");
x.t("host","pool");
x.t("host","sent");
x.t("host","consuming");
x.t("behind","nat");
x.t("query","type");
x.t("layer-4","information");
x.t("configure","rule");
x.t("configure","thresholds");
x.t("host\u2019s","connection");
x.t("fin-wait-2","connection");
x.t("correct","communication");
x.t("precipitated","requests");
x.t("messaging","connection-less");
x.t("parses","ftp");
x.t("attacks","icmp");
x.t("attacks","dos");
x.t("attacks","detected");
x.t("attacks","denial-of-service");
x.t("attacks","listed");
x.t("attacks","destroy");
x.t("attacks","post");
x.t("attacks","deprive");
x.t("attacks","port-scan");
x.t("attacks","personal");
x.t("attacks","falls");
x.t("attacks","crosses");
x.t("attacks","invalid");
x.t("attacks","jolt");
x.t("attacks","teardrop");
x.t("attacks","application-level");
x.t("attacks","similar");
x.t("attacks","originating");
x.t("attacks","data");
x.t("attacks","result");
x.t("attacks","enhanced");
x.t("attacks","done");
x.t("attacks","land");
x.t("protection","against");
x.t("thresholding","support");
x.t("result","host");
x.t("reach","intended");
x.t("(downlink)","reassembly");
x.t("received","initiating");
x.t("received","rst/fin");
x.t("received","indicates");
x.t("received","name");
x.t("received","final");
x.t("received","aaa/ocs");
x.t("received","string");
x.t("received","radius");
x.t("received","aaa");
x.t("received","ack");
x.t("received","rst");
x.t("ack","close");
x.t("ack","response");
x.t("ack","connection");
x.t("ack","value");
x.t("ack","packet");
x.t("ack","acknowledge");
x.t("detection","algorithms");
x.t("happens","downlink");
x.t("defined","tcp");
x.t("defined","rule");
x.t("defined","session");
x.t("defined","pause");
x.t("defined","ending");
x.t("employed","connection");
x.t("timeout","firewall");
x.t("timeout","value");
x.t("future","ftp");
x.t("fax","408-527-0883");
x.t("5-tuple","source");
x.t("5-tuple","further");
x.t("5-tuple","blocked");
x.t("application","layer");
x.t("application","state");
x.t("application","payload");
x.t("application","session");
x.t("application","ports");
x.t("application","behaviors");
x.t("application","move");
x.t("application","payloads");
x.t("application","content");
x.t("prevent","abuse");
x.t("prevent","variety");
x.t("unavailable","intended");
x.t("connections/pinholes","firewall");
x.t("allocates","new");
x.t("routing","encapsulation");
x.t("routing","packets");
x.t("routing","rule");
x.t("routing","ruledefs");
x.t("case","session");
x.t("case","flow");
x.t("blocked","duration");
x.t("alarms","dos-attacks");
x.t("displaying","addresses");
x.t("policy","applied");
x.t("policy","currently");
x.t("policy","initiating");
x.t("policy","enabled");
x.t("policy","change");
x.t("policy","firewall");
x.t("policy","name");
x.t("policy","continue");
x.t("policy","configured");
x.t("policy","cannot");
x.t("policy","important");
x.t("policy","configuration");
x.t("policy","received");
x.t("policy","comes");
x.t("policy","used");
x.t("policy","deleted");
x.t("policy","contains");
x.t("policy","update");
x.t("policy","updated");
x.t("disable","during");
x.t("disable","locally");
x.t("values","stored");
x.t("decisions","based");
x.t("port","(udp)");
x.t("port","trigger");
x.t("port","new");
x.t("port","command");
x.t("port","zero");
x.t("port","scanning");
x.t("port","map");
x.t("port","destination");
x.t("port","allowing");
x.t("port","number");
x.t("port","combination");
x.t("port","scan");
x.t("port","communicating");
x.t("port","ftp");
x.t("port","specific");
x.t("port","host");
x.t("port","data");
x.t("port","maps");
x.t("port","protocol");
x.t("port","numbers");
x.t("port","used");
x.t("port","server");
x.t("eventually","leading");
x.t("eventually","resulting");
x.t("rst","data");
x.t("rst","3-way");
x.t("above","support");
x.t("described","overview");
x.t("layer-7","provide");
x.t("layer-7","takes");
x.t("maps","allow");
x.t("maps","sets");
x.t("maps","configured");
x.t("maps","charging");
x.t("permit","deny");
x.t("simultaneous","close");
x.t("simultaneous","functions");
x.t("preconfigured","timeout");
x.t("called","icmp");
x.t("decides","traffic");
x.t("structure","initialization");
x.t("topics","firewall");
x.t("protocol","icmp");
x.t("protocol","layer");
x.t("protocol","state");
x.t("protocol","basic");
x.t("protocol","connection");
x.t("protocol","tftp");
x.t("protocol","(smtp)");
x.t("protocol","(rtsp)");
x.t("protocol","requested");
x.t("protocol","due");
x.t("protocol","tcp");
x.t("protocol","(pptp)");
x.t("protocol","session");
x.t("protocol","(ppp)");
x.t("protocol","(ftp)");
x.t("protocol","cannot");
x.t("protocol","transport");
x.t("protocol","often");
x.t("protocol","existing");
x.t("protocol","information");
x.t("protocol","data");
x.t("protocol","defined");
x.t("protocol","(tftp)");
x.t("protocol","following");
x.t("protocol","used");
x.t("protocol","(tcp/udp/icmp/icmpv6/ah/esp)");
x.t("protocol","without");
x.t("protocol","(rtp)");
x.t("enhanced","support");
x.t("enhanced","ipv6");
x.t("enhanced","store");
x.t("enhanced","display");
x.t("enhanced","processing");
x.t("enhanced","gre");
x.t("enhanced","charging");
x.t("administration","guide");
x.t("chassis","supports");
x.t("chassis","state");
x.t("chassis","pptp");
x.t("chassis","configured");
x.t("chassis","and/or");
x.t("chassis","running");
x.t("snmp","thresholding");
x.t("users","dos");
x.t("users","seamlessly");
x.t("users","tftp");
x.t("flooding","attack");
x.t("flooding","network");
x.t("flooding","attacks");
x.t("ip-unaligned-timestamp","attack");
x.t("cookie","enabled");
x.t("two","connection");
x.t("two","call");
x.t("done","icmp");
x.t("done","fsm");
x.t("done","okay");
x.t("done","stateful");
x.t("done","recovery-timeout");
x.t("firewall-and-nat","policies");
x.t("firewall-and-nat","policy");
x.t("priority","whichever");
x.t("priority","policy");
x.t("consideration","permit");
x.t("otherwise","dropped");
x.t("replying","syn-ack");
x.t("note","amount");
x.t("based","direction");
x.t("based","address");
x.t("based","rules");
x.t("based","configuration");
x.t("based","protocol");
x.t("monitors","keeps");
x.t("work","ipv4");
x.t("work","properly");
x.t("work","ip-based");
x.t("applications","require");
x.t("applications","tftp");
x.t("applications","follow");
x.t("applications","work");
x.t("applications","using");
x.t("opened","either");
x.t("(tftp)","application");
x.t("(tftp)","alg");
x.t("nat","enabled");
x.t("nat","uses");
x.t("nat","pptp");
x.t("nat","call");
x.t("nat","translates");
x.t("inspected","processed");
x.t("comes","latest");
x.t("comes","aaa/ocs");
x.t("comes","whether");
x.t("debug","logs");
x.t("on/off","rule");
x.t("cases","stateful");
x.t("avp","string");
x.t("avp","received");
x.t("avp","contains");
x.t("firewall/access","ruledefs");
x.t("conjuction","following");
x.t("packet","hits");
x.t("packet","icmp");
x.t("packet","static");
x.t("packet","currently");
x.t("packet","payload");
x.t("packet","filters");
x.t("packet","tftp");
x.t("packet","stateful");
x.t("packet","need");
x.t("packet","flags");
x.t("packet","part");
x.t("packet","filtering");
x.t("packet","determine");
x.t("packet","ipv6");
x.t("packet","inspection");
x.t("packet","flow");
x.t("packet","nat-ed");
x.t("packet","allowed");
x.t("packet","length");
x.t("packet","stateless");
x.t("packet","asking");
x.t("packet","individually");
x.t("packet","header");
x.t("packet","gre");
x.t("packet","waiting");
x.t("packet","sequence");
x.t("packet","data");
x.t("packet","received");
x.t("packet","allocates");
x.t("packet","done");
x.t("packet","replying");
x.t("packet","flow-recovery");
x.t("numbers","packets");
x.t("numbers","acknowledgement");
x.t("numbers","connection");
x.t("numbers","flags");
x.t("numbers","flow");
x.t("numbers","configured");
x.t("numbers","together");
x.t("numbers","used");
x.t("malformity","check");
x.t("real","time");
x.t("call","down");
x.t("call","many-to-one");
x.t("call","check");
x.t("call","setup");
x.t("call","recovery");
x.t("call","ids");
x.t("call","translated");
x.t("call","nat");
x.t("call","packet");
x.t("call","call");
x.t("call","translation");
x.t("call","binding");
x.t("created","session");
x.t("created","earlier");
x.t("created","routing");
x.t("created","port");
x.t("created","packet");
x.t("created","call");
x.t("created","system");
x.t("created","individual");
x.t("created","lookup");
x.t("incoming","packets");
x.t("incoming","outgoing");
x.t("non-zero","firewall");
x.t("locally","subscriber");
x.t("locally","configured");
x.t("reverse","direction");
x.t("relies","entirely");
x.t("entirely","icmp");
x.t("reached","icmp");
x.t("one-way","communication");
x.t("operate","udp");
x.t("mapping","along");
x.t("service","(ecs)");
x.t("service","definition");
x.t("service","(acs)");
x.t("service","representative");
x.t("service","defining");
x.t("service","configured");
x.t("service","feature");
x.t("service","chapter");
x.t("service","works");
x.t("service","primary");
x.t("service","runs");
x.t("service","administration");
x.t("following","protocols");
x.t("following","dos");
x.t("following","table");
x.t("following","events");
x.t("following","features");
x.t("following","products");
x.t("following","figures");
x.t("following","fields");
x.t("following","header");
x.t("following","topics");
x.t("following","cases");
x.t("individual","subscriber");
x.t("individual","connection");
x.t("individual","subscribers");
x.t("contained","packet");
x.t("traversing","firewall");
x.t("traversing","connection");
x.t("management","operations");
x.t("system","whenever");
x.t("system","access");
x.t("system","personal");
x.t("system","crash");
x.t("system","administration");
x.t("router","detected");
x.t("router","header");
x.t("3-way","handshake");
x.t("used","internet");
x.t("used","subscriber");
x.t("used","rulebase-based");
x.t("used","file");
x.t("used","track");
x.t("used","udp");
x.t("used","configuring");
x.t("used","determine");
x.t("used","personal");
x.t("used","aaa");
x.t("used","control");
x.t("used","achieve");
x.t("used","return");
x.t("used","transfer");
x.t("used","data");
x.t("used","therefore");
x.t("used","policy-based");
x.t("used","apn/subscriber");
x.t("hackers","find");
x.t("either","direction");
x.t("either","aaa/ocs");
x.t("either","cli");
x.t("translates","private");
x.t("translates","gre");
x.t("signatures","tftp");
x.t("starts","control");
x.t("starts","dynamic");
x.t("corresponding","requests");
x.t("syn-sent","time");
x.t("ending","personal");
x.t("ending","process");
x.t("manage","application-level");
x.t("understanding","firewall");
x.t("understanding","rules");
x.t("installation","guide");
x.t("resources/services","unavailable");
x.t("death","attacks");
x.t("dropped","icmp");
x.t("dropped","firewall");
x.t("dropped","reset");
x.t("dropped","packets");
x.t("dropped","transport");
x.t("dropped","case");
x.t("streaming","protocol");
x.t("similarly","pptp");
x.t("using","protocols");
x.t("using","tftp");
x.t("using","different");
x.t("using","policy");
x.t("ruledefs","priorities");
x.t("ruledefs","firewall");
x.t("ruledefs","personal");
x.t("ruledefs","configured");
x.t("ruledefs","different");
x.t("ruledefs","release");
x.t("ruledefs","host");
x.t("ruledefs","routing");
x.t("ruledefs","enhanced");
x.t("ruledefs","firewall/access");
x.t("ruledefs","created");
x.t("duration","sent");
x.t("warning","debug");
x.t("compares","packet\u2019s");
x.t("deep","packet");
x.t("lookup","pinhole");
x.t("pinholes","expired");
x.t("timed","entry");
x.t("distributed","denial-of-service");
x.t("reassembly","failure");
x.t("seq/ack","out-of-range");
x.t("bypassed","packets");
x.t("bypassed","pptp");
x.t("translation","configured");
x.t("translation","happens");
x.t("translation","nat");
x.t("route","matched");
x.t("route","created");
x.t("initiated","external");
x.t("initiated","internal");
x.t("acs","imsi");
x.t("acs","rulebase");
x.t("acs","host");
x.t("acs","data");
x.t("acs","port");
x.t("acs","ruledefs");
x.t("pass","ongoing");
x.t("pass","traffic");
x.t("pass","case");
x.t("pass","otherwise");
x.t("levels","critical");
x.t("overrides","default");
x.t("deleted","subscriber");
x.t("deleted","subscribers");
x.t("deleted","pinholes");
x.t("terms","used");
x.t("ruledef","consists");
x.t("ruledef","name");
x.t("ruledef","match");
x.t("ruledef","added");
x.t("ruledef","contains");
x.t("criteria","multiple");
x.t("(tcp/udp/icmp/icmpv6/ah/esp)","direction");
x.t("src-address","dst-address");
x.t("tracking","state");
x.t("tracking","overall");
x.t("tracking","personal");
x.t("tracking","content");
x.t("across","network");
x.t("pinhole","list");
x.t("pinhole","particular");
x.t("pinhole","match");
x.t("pinhole","data");
x.t("pinhole","deleted");
x.t("returns","valid");
x.t("operations","chapter");
x.t("operations","include");
x.t("towards","mobile");
x.t("towards","server");
x.t("without","connection");
x.t("without","inner");
x.t("without","kind");
x.t("without","corresponding");
x.t("bounce","attack");
x.t("performed","ipv6");
x.t("performed","client");
x.t("therefore","probed");
x.t("maintains","state");
x.t("alg","support");
x.t("alg","functionality");
x.t("alg","enables");
x.t("alg","analyzes");
x.t("alg","supported");
x.t("alg","feature");
x.t("alg","parses");
x.t("world","possible");
x.t("definitions","(ruledefs)");
x.t("ranges","combination");
x.t("operator","group");
x.t("operator","modify");
x.t("modify","existing");
x.t("associated","calls");
x.t("associated","ftp");
x.t("associated","pinhole");
x.t("directions","value");
x.t("flow-recovery","enabled");
x.t("policy-based","configurations");
x.t("associations","subscriber");
x.t("connection\u2019s","state");
x.t("acknowledge","fin");
x.t("waits","acknowledgement");
x.t("waits","final");
x.t("behavior","configuration");
x.t("(alg)","support");
x.t("bandwidth","dos");
x.t("point-to-point","tunneling");
x.t("point-to-point","protocol");
x.t("including","address");
x.t("pool","support");
x.t("pool","imsi");
x.t("pool","configuration");
x.t("pool","host");
x.t("pool","port");
x.t("affected","mobile");
x.t("defend","malicious");
x.t("defend","subscribers");
x.t("ping","death");
x.t("sent","else");
x.t("sent","tftp");
x.t("sent","new");
x.t("sent","pptp");
x.t("sent","second");
x.t("sent","syslog");
x.t("sent","syn");
x.t("sent","initial");
x.t("sent","ack");
x.t("sent","application");
x.t("sent","using");
x.t("station","identifier");
x.t("dos-attacks","number");
x.t("apn/subscriber","configuration");
x.t("apn/subscriber","template");
x.t("entries","communication");
x.t("entries","preconfigured");
x.t("lacks","defined");
x.t("content","verification");
x.t("content","dpi");
x.t("content","monitors");
x.t("verifying","licenses");
x.t("consuming","excessive");
x.t("resources","memory");
x.t("server","replies");
x.t("server","state");
x.t("server","ocs");
x.t("server","configured");
x.t("server","feature");
x.t("server","requests");
x.t("server","port");
x.t("server","protocol");
x.t("server","call");
x.t("land","attacks");
x.t("flows","start");
x.t("flows","closed");
x.t("flows","timed-out");
x.t("flows","marked");
x.t("flows","recovery");
x.t("flows","established");
x.t("flows","snmp");
x.t("flows","packet");
x.t("flows","associated");
x.t("(rtp)","real");
x.t("binding","exists");
x.t("binding","two");
x.t("recovery-timeout","parameter");
x.t("recovery-timeout","ongoing");
x.t("recovery-timeout","timer");
x.t("recovery-timeout","value");
x.t("contains","access");
x.t("contains","disable");
x.t("contains","criteria");
x.t("contains","entries");
x.t("update","policy");
x.t("update","firewall-and-nat");
x.t("updated","mid-session");
x.t("dynamically","policy");
x.t("matching","rules");
x.t("specify","protocols");
x.t("generally","information");
x.t("attributes","including");
x.t("negative","reply");
}
